- apiVersion: apiextensions.k8s.io/v1beta1
  kind: CustomResourceDefinition
  metadata:
    name: prometheuses.wopla.io
  spec:
    group: wopla.io
    names:
      kind: Prometheus
      listKind: PrometheusList
      plural: prometheuses
      singular: prometheus
    additionalPrinterColumns:
    - name: Domain
      type: string
      description: Prometheus Domain
      jsonPath: .status.prometheus_public
    - name: Grafana
      type: string
      description: Grafana Domain
      jsonPath: .status.grafana_public
    - name: Age
      type: date
      jsonPath: .metadata.creationTimestamp
    scope: Namespaced
    subresources:
      status: {}
    validation:
      openAPIV3Schema:
        description: Orchestrates the deployment of Prometheus
        properties:
          apiVersion:
            description: 'APIVersion defines the versioned schema of this representation
              of an object. Servers should convert recognized schemas to the latest
              internal value, and may reject unrecognized values. More info
              https://git.k8s.io/community/contributors/devel/api-conventions.md#resources'
            type: string
          kind:
            description: 'Kind is a string value representing the REST resource this
              object represents. Servers may infer this from the endpoint the client
              submits requests to. Cannot be updated. In CamelCase. More info
              https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds'
            type: string
          metadata:
            description: ObjectMeta is metadata that all persisted resources must have,
              which includes all objects users must create.
            properties:
              annotations:
                additionalProperties:
                  type: string
                description: 'Annotations is an unstructured key value map stored with
                  a resource that may be set by external tools to store and retrieve
                  arbitrary metadata. They are not queryable and should be preserved
                  when modifying objects. More info
                  http://kubernetes.io/docs/user-guide/annotations'
                type: object
              creationTimestamp:
                description: "CreationTimestamp is a timestamp representing the server
                  time when this object was created. It is not guaranteed to be set
                  in happens-before order across separate operations. Clients may not
                  set this value. It is represented in RFC3339 form and is in UTC. \n
                  Populated by the system. Read-only. Null for lists. More info
                  https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata"
                format: date-time
                type: string
              deletionGracePeriodSeconds:
                description: Number of seconds allowed for this object to gracefully
                  terminate before it will be removed from the system. Only set when
                  deletionTimestamp is also set. May only be shortened. Read-only.
                format: int64
                type: integer
              deletionTimestamp:
                description: "DeletionTimestamp is RFC 3339 date and time at which this
                  resource will be deleted. This field is set by the server when a graceful
                  deletion is requested by the user, and is not directly settable by
                  a client. The resource is expected to be deleted (no longer visible
                  from resource lists, and not reachable by name) after the time in
                  this field, once the finalizers list is empty. As long as the finalizers
                  list contains items, deletion is blocked. Once the deletionTimestamp
                  is set, this value may not be unset or be set further into the future,
                  although it may be shortened or the resource may be deleted prior
                  to this time. For example, a user may request that a pod is deleted
                  in 30 seconds. The Kubelet will react by sending a graceful termination
                  signal to the containers in the pod. After that 30 seconds, the Kubelet
                  will send a hard termination signal (SIGKILL) to the container and
                  after cleanup, remove the pod from the API. In the presence of network
                  partitions, this object may still exist after this timestamp, until
                  an administrator or automated process can determine the resource is
                  fully terminated. If not set, graceful deletion of the object has
                  not been requested. \n Populated by the system when a graceful deletion
                  is requested. Read-only. More info
                  https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata"
                format: date-time
                type: string
              finalizers:
                description: Must be empty before the object is deleted from the registry.
                  Each entry is an identifier for the responsible component that will
                  remove the entry from the list. If the deletionTimestamp of the object
                  is non-nil, entries in this list can only be removed.
                items:
                  type: string
                type: array
              generation:
                description: A sequence number representing a specific generation of
                  the desired state. Populated by the system. Read-only.
                format: int64
                type: integer
              labels:
                additionalProperties:
                  type: string
                description: 'Map of string keys and values that can be used to organize
                  and categorize (scope and select) objects. May match selectors of
                  replication controllers and services. More info
                  http://kubernetes.io/docs/user-guide/labels'
                type: object
              name:
                description: 'Name must be unique within a namespace. Is required when
                  creating resources, although some resources may allow a client to
                  request the generation of an appropriate name automatically. Name
                  is primarily intended for creation idempotence and configuration definition.
                  Cannot be updated. More info
                  http://kubernetes.io/docs/user-guide/identifiers#names'
                type: string
              namespace:
                description: "Namespace defines the space within each name must be unique.
                  An empty namespace is equivalent to the \"default\" namespace, but
                  \"default\" is the canonical representation. Not all objects are required
                  to be scoped to a namespace - the value of this field for those objects
                  will be empty. \n Must be a DNS_LABEL. Cannot be updated. More info
                  http://kubernetes.io/docs/user-guide/namespaces"
                type: string
              ownerReferences:
                description: List of objects depended by this object. If ALL objects
                  in the list have been deleted, this object will be garbage collected.
                  If this object is managed by a controller, then an entry in this list
                  will point to this controller, with the controller field set to true.
                  There cannot be more than one managing controller.
                items:
                  description: OwnerReference contains enough information to let you
                    identify an owning object. An owning object must be in the same
                    namespace as the dependent, or be cluster-scoped, so there is no
                    namespace field.
                  properties:
                    apiVersion:
                      description: API version of the referent.
                      type: string
                    blockOwnerDeletion:
                      description: If true, AND if the owner has the "foregroundDeletion"
                        finalizer, then the owner cannot be deleted from the key-value
                        store until this reference is removed. Defaults to false. To
                        set this field, a user needs "delete" permission of the owner,
                        otherwise 422 (Unprocessable Entity) will be returned.
                      type: boolean
                    controller:
                      description: If true, this reference points to the managing controller.
                      type: boolean
                    kind:
                      description: 'Kind of the referent. More info
                        https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds'
                      type: string
                    name:
                      description: 'Name of the referent. More info
                        http://kubernetes.io/docs/user-guide/identifiers#names'
                      type: string
                    uid:
                      description: 'UID of the referent. More info
                        http://kubernetes.io/docs/user-guide/identifiers#uids'
                      type: string
                  required:
                  - apiVersion
                  - kind
                  - name
                  - uid
                  type: object
                type: array
              resourceVersion:
                description: "An opaque value that represents the internal version of
                  this object that can be used by clients to determine when objects
                  have changed. May be used for optimistic concurrency, change detection,
                  and the watch operation on a resource or set of resources. Clients
                  must treat these values as opaque and passed unmodified back to the
                  server. They may only be valid for a particular resource or set of
                  resources. \n Populated by the system. Read-only. Value must be treated
                  as opaque by clients. More info
                  https://git.k8s.io/community/contributors/devel/api-conventions.md#concurrency-control-and-consistency"
                type: string
              selfLink:
                description: SelfLink is a URL representing this object. Populated by
                  the system. Read-only.
                type: string
              uid:
                description: "UID is the unique in time and space value for this object.
                  It is typically generated by the server on successful creation of
                  a resource and is not allowed to change on PUT operations. \n Populated
                  by the system. Read-only. More info
                  http://kubernetes.io/docs/user-guide/identifiers#uids"
                type: string
            type: object
          spec:
            properties:
              alertmanager_cpu_limit:
                description: AlertManager CPU Limit - defaults to 100m
                type: string
              alertmanager_cpu_request:
                description: AlertManager CPU Request - defaults to 10m
                type: string
              alertmanager_data_capacity:
                description: AlertManager PersistentVolumeClaim requested size - defaults to 2Gi
                type: string
              alertmanager_image_source:
                description: AlertManager source image - defaults to docker.io/prom/alertmanager
                type: string
              alertmanager_ldap_user_objectclass:
                description: AlertManager LDAP Users ObjectClass, integrating with LDAP with no Fusion, Wsweet nor LLNG - defaults to inetOrgPerson
                type: string
              alertmanager_memory_limit:
                description: AlertManager Memory Limit - defaults to 75Mi
                type: string
              alertmanager_memory_request:
                description: AlertManager Memory Request - defaults to 50Mi
                type: string
              alertmanager_replicas:
                description: AlertManager Replicas Count - defaults to 1
                format: int64
                type: integer
              alertmanager_tag:
                description: AlertManager Image Tag - defaults to v0.25.0
                type: string
              allowed_unsafe_sysctls:
                description: List of Unsafe Sysctls that were administratively enabled in your cluster, and which may then be used - defaults to [ ]
                items:
                  type: string
                type: array
              allow_rwx_storage:
                description: Allows usage for auto-detected RWX StorageClass - defaults to True
                type: boolean
              authproxy_cpu_limit:
                description: Apache Authentication Proxy CPU Limit - defaults to 200m
                type: string
              authproxy_cpu_request:
                description: Apache Authentication Proxy CPU Request - defaults to 100m
                type: string
              authproxy_memory_limit:
                description: Apache Authentication Proxy Memory Limit - defaults to 256Mi
                type: string
              authproxy_memory_request:
                description: Apache Authentication Proxy Memory Request - defaults to 128Mi
                type: string
              auth_namespace:
                description: Namespace hosting your Directory deployment, if any - defaults to Prometheus namespace
                type: string
              cluster_domain:
                description: Kubernetes internal root domain - defaults to cluster.local
                type: string
              default_namespace_match:
                description: NetworkPolicy Default Namespace Match label - defaults to default
                type: string
              deploy_pod_cpu_limit:
                description: DeploymentConfigs Deploy container CPU Limit - defaults to 50m
                type: string
              deploy_pod_cpu_request:
                description: DeploymentConfigs Deploy container CPU Request - defaults to 50m
                type: string
              deploy_pod_memory_limit:
                description: DeploymentConfigs Deploy container Memory Limit - defaults to 512Mi
                type: string
              deploy_pod_memory_request:
                description: DeploymentConfigs Deploy container Memory Request - defaults to 128Mi
                type: string
              deploy_revision_history:
                description: DeploymentConfigs Revision History Limit - defaults to 3
                type: string
              directory_selectors:
                description: List of Label Selectors matching Directory CR to integrate with - defaults to [ opsperator.io/Prometheus=cr-metadata-name ]
                items:
                  type: string
                type: array
              do_affinities:
                description: Enables AntiAffinity rules scheduling Pods - defaults to True
                type: boolean
              do_build_trigger:
                description: Enables BuildConfig/Tekton Triggers - defaults to True
                type: boolean
              do_cert_manager:
                description: Toggles Prometheus Cert-Manager Exporter deployment - defaults to False
                type: boolean
              do_debugs:
                description: Toggles Debug on all applications - defaults to False
                type: boolean
              do_exporters:
                description: Toggles Prometheus Exporters deployment - defaults to False
                type: boolean
              do_grafana:
                description: Toggles Grafana Deployment - defaults to True
                type: boolean
              do_hpa:
                description: Enables Horizontal Pods Autoscalers configuration - defaults to False
                type: boolean
              do_network_policy:
                description: Enables NetworkPolicies configuration - defaults to False
                type: boolean
              do_oc:
                description: Enables OpenShift OAuth integration, when running on OpenShift - defaults to False
                type: boolean
              do_thanos:
                description: Enables Thanos Deployment & s3 integration - defaults to False
                type: boolean
              do_thanos_bucket:
                description: Enables Thanos Bucket Web Deployment - defaults to False
                type: boolean
              do_thanos_bucketcache:
                description: Enables Thanos Store Bucket Cache Deployment - defaults to False
                type: boolean
              do_thanos_queryfrontend:
                description: Enables Thanos Query Frontend Deployment - defaults to False
                type: boolean
              do_thanos_receive:
                description: Enables Thanos Receive Deployment, for external Prometheus to push metrics - defaults to False
                type: boolean
              do_thanos_rule:
                description: "Enables Thanos Rule Deployment, relocating Prometheus Rules and AlertManager
                  configurations to a Thanos Rule sidecar, running alongside AlertManager. See
                  https://thanos.io/components/rule.md/#risk - defaults to False"
                type: boolean
              do_triggers:
                description: "Configures triggers redeploying containers when new images
                  are pushed to its source ImageStream - defaults to False"
                type: boolean
              docker_registry:
                description: "Source Registry hosting Images - defaults to docker-registry
                  if okd3, image-registry if okd4, k8s integreted registry if detected, otherwise
                  a registry would be deployed by the operator"
                type: string
              execution_affinity_required:
                description: Should Execution Affinity Rules be Mandatory - defaults to True
                type: boolean
              exporter_cpu_limit:
                description: Prometheus Exporter container CPU Limit - defaults to 100m
                type: string
              exporter_cpu_request:
                description: Prometheus Exporter container CPU Request - defaults to 50m
                type: string
              exporter_memory_limit:
                description: Prometheus Exporter container Memory Limit - defaults to 128Mi
                type: string
              exporter_memory_request:
                description: Prometheus Exporter container Memory Request - defaults to 64Mi
                type: string
              expose_thanos_query:
                description: Exposes Thanos Query Publicly - defaults to False
                type: boolean
              expose_thanos_receive:
                description: Exposes Thanos Receive Publicly - defaults to False
                type: boolean
              grafana_admin_password:
                description: Grafana admin account password - defaults to secret
                type: string
              grafana_admin_user:
                description: Grafana admin account user - defaults to admin
                type: string
              grafana_cpu_limit:
                description: Grafana CPU Limit - defaults to 100m
                type: string
              grafana_cpu_request:
                description: Grafana CPU Request - defaults to 10m
                type: string
              grafana_data_capacity:
                description: Grafana PersistentVolumeClaim requested size, when grafana_is_readonly=False - defaults to 2Gi
                type: string
              grafana_db_cpu_limit:
                description: Grafana Database CPU Limit - defaults to 300m
                type: string
              grafana_db_data_capacity:
                description: Grafana Database PersistentVolumeClaim requested size - defaults to 8Gi
                type: string
              grafana_db_memory_limit:
                description: Grafana Database Memory Limit - defaults to 512Mi
                type: string
              grafana_db_type:
                description: Grafana Database Type - defaults to sqlite
                type: string
              grafana_image_source:
                description: Grafana source image - defaults to docker.io/grafana/grafana
                type: string
              grafana_is_public:
                description: Allows Unauthenticated Access to Grafana - defaults to False
                type: boolean
              grafana_is_readonly:
                description: Prevents Users from editing operator-provisioned Grafana Dashboards - defaults to False
                type: boolean
              grafana_ldap_user_objectclass:
                description: Grafana LDAP Users ObjectClass, integrating with LDAP with no Fusion, Wsweet nor LLNG - defaults to inetOrgPerson
                type: string
              grafana_memory_limit:
                description: Grafana Memory Limit - defaults to 128Mi
                type: string
              grafana_memory_request:
                description: Grafana Memory Request - defaults to 64Mi
                type: string
              grafana_replicas:
                description: Grafana Replicas Count - defaults to 1
                format: int64
                type: integer
              grafana_sessions_type:
                description: Grafana Sessions Type - defaults to memory
                type: string
              grafana_tag:
                description: Grafana Image Tag - defaults to 9.3.6
                type: string
              httpexporter_clone_secret:
                description: Apache Prometheus Exporter Image Sources Clone Secret - defaults to undefined
                type: string
              httpexporter_image_source:
                description: Apache Prometheus Exporter Image Sources - defaults to https://gitlab.com/synacksynack/opsperator/docker-httpexporter
                type: string
              httpexporter_tag:
                description: Apache Prometheus Exporter Image Sources Ref - defaults to 1.1.0
                type: string
              images_builds_namespace:
                description: Namespace hosting container images, using cluster integrated registry - defaults to .metadata.namespace
                type: string
              ingress_filter_method:
                description: NetworkPolicies Ingress filter method, either nodeips, labels or none - defaults to labels
                type: string
              ingress_nodes_selector:
                description: NetworkPolicies Ingress nodes filters - defaults to node-role.kubernetes.io/infra=true
                type: string
              k8s_affinity_zone_label:
                description: Label Name distributing replicas of a deployment - defaults to kubernetes.io/hostname
                type: string
              k8s_namespace_nodes_selectors:
                description: List of Label Selectors matching Kubernetes Nodes hosting at the Namespace level - defaults to []
                items:
                  type: string
                type: array
              k8s_registry_ns:
                description: Default Kubernetes integrated registry Namespace - defaults to registry
                type: string
              k8s_registry_svc:
                description: Default Kubernetes integrated registry Service Name - defaults to registry
                type: string
              k8s_resource_nodes_selectors:
                description: List of Label Selectors matching Kubernetes Nodes hosting at the Pod level - defaults to [ kubernetes.io/os=linux ]
                items:
                  type: string
                type: array
              kubestatemetrics_cpu_limit:
                description: Kube State Metrics CPU Limit - defaults to 30m
                type: string
              kubestatemetrics_cpu_request:
                description: Kube State Metrics CPU Request - defaults to 30m
                type: string
              kubestatemetrics_image_source:
                description: Kube State Metrics sources - defaults to k8s.gcr.io/kube-state-metrics/kube-state-metrics
                type: string
              kubestatemetrics_memory_limit:
                description: Kube State Metrics Memory Limit - defaults to 200Mi
                type: string
              kubestatemetrics_memory_request:
                description: Kube State Metrics Memory Request - defaults to 50Mi
                type: string
              kubestatemetrics_tag:
                description: Kube State Metrics Image Tag - defaults to v2.5.0
                type: string
              mariadb_image_source:
                description: MariaDB source image (amd64) - defaults to docker.io/mariadb
                type: string
              mariadb_tag:
                description: MariaDB Image Tag - defaults to 10.7
                type: string
              memcachedexporter_image_source:
                description: Memcached Prometheus Exporter image source - defaults to quay.io/prometheus/memcached-exporter
                type: string
              memcachedexporter_tag:
                description: Memcached Prometheus Exporter Image Tag - defaults to v0.9.0
                type: string
              memcached_image_source:
                description: Memcached image source - defaults to docker.io/memcached
                type: string
              memcached_tag:
                description: Memcached Image Tag - defaults to 1.6.12
                type: string
              mysqlexporter_clone_secret:
                description: MySQL Prometheus Exporter Image Sources Clone Secret - defaults to undefined
                type: string
              mysqlexporter_image_source:
                description: MySQL Prometheus Exporter Image Sources - defaults to https://gitlab.com/synacksynack/opsperator/docker-mysqlexporter
                type: string
              mysqlexporter_tag:
                description: MySQL Prometheus Exporter Image Sources Ref - defaults to 0.13.0
                type: string
              minio_namespace:
                description: Namespaces hosting MinIO - defaults to Prometheus namespace
                type: string
              network_policy_deployment_label:
                description: NetworkPolicy Pod Label Selector Name - defaults to name
                type: string
              network_policy_namespace_label:
                description: "NetworkPolicy Namespace Label Selector Name, allowing Ingresses and Prometheus
                  communications - defaults to netpol"
                type: string
              nodeexporter_collect_nodes_selectors:
                description: List of Label Selectors matching Kubernetes Nodes Prometheus Node Exporter should collect metrics from - defaults to [ kubernetes.io/os=linux ]
                items:
                  type: string
                type: array
              nodeexporter_cpu_limit:
                description: Prometheus Node Exporter CPU Limit - defaults to 60m
                type: string
              nodeexporter_cpu_request:
                description: Prometheus Node Exporter CPU Request - defaults to 60m
                type: string
              nodeexporter_image_source:
                description: Prometheus Node Exporter sources - defaults to quay.io/prometheus/node-exporter
                type: string
              nodeexporter_memory_limit:
                description: Prometheus Node Exporter Memory Limit - defaults to 50Mi
                type: string
              nodeexporter_memory_request:
                description: Prometheus Node Exporter Memory Request - defaults to 50Mi
                type: string
              nodeexporter_tag:
                description: Prometheus Node Exporter Image Tag - defaults to v1.3.1
                type: string
              notify_email_address:
                description: AlertManager Email notification endpoint - defaults to undefined
                type: string
              notify_http_address:
                description: AlertManager Webhook notification endpoint - defaults to undefined
                type: string
              notify_outside_business_hours:
                description: "AlertManager Notify 24/7 - defaults to True, otherwise sticks to
                  business hours."
                type: boolean
              notify_send_resolved:
                description: AlertManager toggles send notification on resolutions - defaults to true
                type: string
              notify_slack_address:
                description: AlertManager Slack notification endpoint - defaults to undefined
                type: string
              notify_slack_channel:
                description: AlertManager Slack channel - defaults to monitoring
                type: string
              notify_teams_address:
                description: AlertManager Teams notification endpoint - defaults to undefined
                type: string
              oauthproxy_cpu_limit:
                description: OpenShift OAuth Proxy CPU Limit - defaults to 50m
                type: string
              oauthproxy_cpu_request:
                description: OpenShift OAuth Proxy CPU Request - defaults to 50m
                type: string
              oauthproxy_image_source:
                description: OpenShift OAuth Proxy source image - defaults to docker.io/openshift/oauth-proxy
                type: string
              oauthproxy_memory_limit:
                description: OpenShift OAuth Proxy Memory Limit - defaults to 128Mi
                type: string
              oauthproxy_memory_request:
                description: OpenShift OAuth Proxy Memory Request - defaults to 64Mi
                type: string
              oauthproxy_tag:
                description: OpenShift OAuth Proxy Image Tag - defaults to latest
                type: string
              opsperator_images_registry:
                description: "External Registry Prefix pulling custom operator images - defaults to undefined, falls back to
                  Kubernetes/OpenShift integrated registries"
                type: string
              pause:
                description: Pauses operator, stops reconciling child resources - defaults to False
                type: boolean
              pgexporter_clone_secret:
                description: Postgres Prometheus Exporter Image Sources Clone Secret - defaults to undefined
                type: string
              pgexporter_image_source:
                description: Postgres Prometheus Exporter Image Sources - defaults to https://gitlab.com/synacksynack/opsperator/docker-pgexporter
                type: string
              pgexporter_tag:
                description: Postgres Prometheus Exporter Image Sources Ref - defaults to 0.10.0
                type: string
              postfix_namespace:
                description: Namespace hosting your Postfix deployment, if any - defaults to Prometheus namespace
                type: string
              postfix_selectors:
                description: List of Label Selectors matching Postfix CR to integrate with - defaults to [ opsperator.io/Prometheus=cr-metadata-name ]
                items:
                  type: string
                type: array
              postgres_max_connections:
                description: Postgres Max Connections - defaults to 100
                format: int64
                type: integer
              postgres_shared_buffers:
                description: Postgres Shared Buffers - defaults to 12MB
                type: string
              prometheus_cluster_label:
                description: Prometheus Kubernetes Exporter Service Label Name - defaults to k8s-cluster
                type: string
              prometheus_cpu_limit:
                description: Prometheus CPU Limit - defaults to 500m
                type: string
              prometheus_cpu_request:
                description: Prometheus CPU Request - defaults to 150m
                type: string
              prometheus_data_capacity:
                description: Prometheus PersistentVolumeClaim requested size - defaults to 360Gi
                type: string
              prometheus_eval_interval:
                description: Prometheus Rules Evaluation Interval - defaults to 30s
                type: string
              prometheus_federation:
                description: Prometheus Federation configuration
                items:
                  description: OwnerReference contains enough information to let you
                    identify an owning object. An owning object must be in the same
                    namespace as the dependent, or be cluster-scoped, so there is no
                    namespace field.
                  properties:
                    name:
                      description: Federation endpoint name - mandatory, should be unique
                      type: string
                    interval:
                      description: Prometheus remote scrape interval - defaults to prometheus_scrape_interval
                      type: string
                    timeout:
                      description: Prometheus remote scrape timeout - defaults to prometheus_scrape_timeout
                      type: string
                    url:
                      description: Prometheus remote endpoint URL - mandatory
                      type: string
                    authpass:
                      description: Prometheus remote Basic Auth Password - optional
                      type: string
                    authtoken:
                      description: Prometheus remote Auth Token - optional
                      type: string
                    authuser:
                      description: Prometheus remote Basic Auth Username - optional
                      type: string
                    matchjobs:
                      description: "Collects Jobs from remote Prometheus - optional, defaults
                        to [ prometheus, cluster, kubeci ]."
                      items:
                        type: string
                      type: array
                  required:
                  - name
                  - url
                  type: object
                type: array
              prometheus_image_source:
                description: Prometheus source image - defaults to docker.io/prom/prometheus
                type: string
              prometheus_local_cluster:
                description: Prometheus Local Cluster Label - defaults to prod
                type: string
              prometheus_ldap_user_objectclass:
                description: Prometheus LDAP Users ObjectClass, integrating with LDAP with no Fusion, Wsweet nor LLNG - defaults to inetOrgPerson
                type: string
              prometheus_match:
                description: Prometheus Service Label Value - defaults to scrape-me
                type: string
              prometheus_memory_limit:
                description: Prometheus Memory Limit - defaults to 2Gi
                type: string
              prometheus_memory_request:
                description: Prometheus Memory Request - defaults to 1Gi
                type: string
              prometheus_namespace_match:
                description: "Prometheus Namespace Label Value - defaults to False, metrics are only collected
                  by Prometheus in our local Namespace."
                type: string
              prometheus_node_label:
                description: Prometheus Kubernetes Node Exporter Service Label Name - defaults to k8s-node
                type: string
              prometheus_replicas:
                description: Prometheus Replicas Count - defaults to 1
                format: int64
                type: integer
              prometheus_retention:
                description: Prometheus Retention - defaults to 15d
                type: string
              prometheus_s3_label:
                description: Prometheus S3 Exporter Service Label Name - defaults to k8s-s3
                type: string
              prometheus_scrape_interval:
                description: Prometheus Scrape Interval - defaults to 15s
                type: string
              prometheus_scrape_s3_interval:
                description: Prometheus S3 Scrape Interval - defaults to 60s
                type: string
              prometheus_scrape_s3_timeout:
                description: Prometheus S3 Scrape Timeout - defaults to 50s
                type: string
              prometheus_scrape_timeout:
                description: Prometheus Scrape Timeout - defaults to 10s
                type: string
              prometheus_service_label:
                description: Prometheus Service Label Name - defaults to k8s-app
                type: string
              prometheus_tag:
                description: Prometheus Image Tag - defaults to v2.42.0
                type: string
              pull_policy:
                description: Images Pull Policy - defaults to IfNotPresent
                type: string
              redis_clone_secret:
                description: Redis Base Image Sources Clone Secret - defaults to undefined
                type: string
              redis_cpu_limit:
                description: Redis CPU Limit - defaults to 100m
                type: string
              redis_data_capacity:
                description: Redis PersistentVolumeClaim requested size - defaults to 8Gi
                type: string
              redis_image_source:
                description: Redis Base Image Sources - defaults to https://gitlab.com/synacksynack/opsperator/docker-redis
                type: string
              redis_memory_limit:
                description: Redis Memory Limit - defaults to 256Mi
                type: string
              redis_persistent:
                description: Persist Redis Data - defaults to False
                type: boolean
              redis_quorum:
                description: Redis Quorum - defaults to 2, unless replicas lower than 3, then 1
                format: int64
                type: integer
              redis_replicas:
                description: Redis Replicas Count - defaults to 3
                format: int64
                type: integer
              redis_tag:
                description: Redis Base Image Tag - defaults to 6.2.5
                type: string
              redisexporter_clone_secret:
                description: Redis Prometheus Exporter Image Sources Clone Secret - defaults to undefined
                type: string
              redisexporter_image_source:
                description: Redis Prometheus Exporter Image Sources - defaults to https://gitlab.com/synacksynack/opsperator/docker-redisexporter
                type: string
              redisexporter_tag:
                description: Redis Prometheus Exporter Image Tag - defaults to 1.27.0
                type: string
              rgw_make_bucket:
                description: Provisions Bucket when using s3 & RadosGW - defaults to True
                type: boolean
              rgw_namespace:
                description: Namespaces hosting RadosGW - defaults to Prometheus namespace
                type: string
              root_domain:
                description: Customer Root Domain - defaults to demo.local
                type: string
              rwo_needs_fsgroup:
                description: Optional securityContext.fsGroup numeric ID, to force on containers mounting RWO storage - defaults to False
                format: int64
                type: integer
              s3exporter_cpu_limit:
                description: Prometheus s3 Exporter container CPU Limit - defaults to 200m
                type: string
              s3exporter_cpu_request:
                description: Prometheus s3 Exporter container CPU Request - defaults to 100m
                type: string
              s3exporter_image_source:
                description: Prometheus s3 Exporter Image Sources - defaults to https://gitlab.com/synacksynack/opsperator/docker-s3bucketexporter
                type: string
              s3exporter_memory_limit:
                description: Prometheus s3 Exporter container Memory Limit - defaults to 768Mi
                type: string
              s3exporter_memory_request:
                description: Prometheus s3 Exporter container Memory Request - defaults to 256Mi
                type: string
              s3exporter_tag:
                description: Prometheus s3 Exporter Image Sources Ref - defaults to 1.0.0
                type: string
              scheduling_affinity_required:
                description: Should Scheduling Affinity Rules be Mandatoryd - defaults to True
                type: boolean
              smtp_port:
                description: SMTP Port - defaults to 25
                format: int64
                type: integer
              smtp_relay:
                description: SMTP Relay - defaults to undefined, discovers neighbor Postfix CR
                type: string
              sentinel_cpu_limit:
                description: Redis Sentinel CPU Limit - defaults to 100m
                type: string
              sentinel_memory_limit:
                description: Redis Sentinel Memory Limit - defaults to 256Mi
                type: string
              svc_keylen:
                description: TLS Certificates Key Length - defaults to 2048
                format: int64
                type: integer
              svc_validity:
                description: TLS Certificates Validity, in days - defaults to 365
                format: int64
                type: integer
              teamsproxy_cpu_limit:
                description: Teams Proxy CPU Limit - defaults to 100m
                type: string
              teamsproxy_cpu_request:
                description: Teams Proxy CPU Request - defaults to 10m
                type: string
              teamsproxy_image_source:
                description: Teams Proxy image source - defaults to quay.io/prometheusmsteams/prometheus-msteams
                type: string
              teamsproxy_memory_limit:
                description: Teams Proxy Memory Limit - defaults to 48Mi
                type: string
              teamsproxy_memory_request:
                description: Teams Proxy Memory Request - defaults to 8Mi
                type: string
              teamsproxy_tag:
                description: Teams Proxy Image Tag - defaults to v1.5.0
                type: string
              tekton_buildah_image:
                description: Tekton Buildah Image - defaults to quay.io/buildah/stable:v1.21.0
                type: string
              tekton_docker_build_cpu_limit:
                description: Tekton Docker Build CPU Limit - defaults to 400m
                type: string
              tekton_docker_build_cpu_request:
                description: Tekton Docker Build CPU Request - defaults to 200m
                type: string
              tekton_docker_build_memory_limit:
                description: Tekton Docker Build Memory Limit - defaults to 4Gi
                type: string
              tekton_docker_build_memory_request:
                description: Tekton Docker Build Memory Request - defaults to 2Gi
                type: string
              tekton_img_image:
                description: Tekton GenuineTools Img Image - defaults to r.j3ss.co/img
                type: string
              tekton_k8s_version:
                description: Tekton Pipelines Version to Deploy (on Kubernetes, use OLM with OpenShift) - defaults to 0.12.1
                type: string
              tekton_kaniko_image:
                description: Tekton Kaniko Image - defaults to gcr.io/kaniko-project/executor:v1.7.0
                type: string
              tekton_oc_client_image:
                description: Tekton OC Client Image - defaults to quay.io/openshift/origin-cli:latest
                type: string
              tekton_preferred_builder:
                description: Tekton Preferred Docker Builder method - defaults to buildah
                type: string
              tekton_s2i_build_cpu_limit:
                description: Tekton S2I Build CPU Limit - defaults to 400m
                type: string
              tekton_s2i_build_cpu_request:
                description: Tekton S2I Build CPU Request - defaults to 200m
                type: string
              tekton_s2i_build_memory_limit:
                description: Tekton S2I Build Memory Limit - defaults to 4Gi
                type: string
              tekton_s2i_build_memory_request:
                description: Tekton S2I Build Memory Request - defaults to 2Gi
                type: string
              tekton_s2i_image:
                description: Tekton S2i Builder Image - defaults to quay.io/openshift-pipeline/s2i
                type: string
              tekton_skopeo_image:
                description: Tekton Skopeo Image - defaults to docker.io/ananace/skopeo
                type: string
              thanos_bucket_cache_cpu_limit:
                description: Thanos Bucket Cache (memcached) CPU Limit - defaults to 50m
                type: string
              thanos_bucket_cache_cpu_request:
                description: Thanos Bucket Cache (memcached) CPU Request - defaults to 10m
                type: string
              thanos_bucket_cache_memory_limit:
                description: Thanos Bucket Cache (memcached) Memory Limit - defaults to 256Mi
                type: string
              thanos_bucket_cache_memory_limit_mbyte:
                description: Thanos Bucket Cache (memcached) Process Memory Limit in Megabytes - defaults to 192
                format: int64
                type: integer
              thanos_bucket_cache_memory_request:
                description: Thanos Bucket Cache (memcached) Memory Request - defaults to 64Mi
                type: string
              thanos_bucket_cache_replicas:
                description: Thanos Bucket Cache (memcached) Replicas Count - defaults to 3
                format: int64
                type: integer
              thanos_bucket_cpu_limit:
                description: Thanos Bucket Web CPU Limit - defaults to 420m
                type: string
              thanos_bucket_cpu_request:
                description: Thanos Bucket Web CPU Request - defaults to 120m
                type: string
              thanos_bucket_memory_limit:
                description: Thanos Bucket Web Memory Limit - defaults to 432Mi
                type: string
              thanos_bucket_memory_request:
                description: Thanos Bucket Web Memory Request - defaults to 128Mi
                type: string
              thanos_bucket_refresh:
                description: Thanos Bucket Web Metadata Refresh Interval - defaults to 30m
                type: string
              thanos_bucket_replicas:
                description: Thanos Bucket Web Replicas Count - defaults to 1
                format: int64
                type: integer
              thanos_bucket_timeout:
                description: Thanos Bucket Web Metadata Timeout - defaults to 2m
                type: string
              thanos_compact_cpu_limit:
                description: Thanos Compact CPU Limit - defaults to 420m
                type: string
              thanos_compact_cpu_request:
                description: Thanos Compact CPU Request - defaults to 120m
                type: string
              thanos_compact_data_capacity:
                description: Thanos Compact PersistentVolumeClaim requested size - defaults to 32Gi
                type: string
              thanos_compact_interval:
                description: Thanos Compact compaction interval - defaults to 30m
                type: string
              thanos_compact_memory_limit:
                description: Thanos Compact Memory Limit - defaults to 3Gi
                type: string
              thanos_compact_memory_request:
                description: Thanos Compact Memory Request - defaults to 1Gi
                type: string
              thanos_compact_replicas:
                description: Thanos Compact Replicas Count - defaults to 1
                format: int64
                type: integer
              thanos_image_source:
                description: Thanos image source - defaults to quay.io/thanos/thanos
                type: string
              thanos_index_backend:
                description: Thanos Index Backend, memcached or memory - defaults to memory
                type: string
              thanos_index_cache_cpu_limit:
                description: Thanos Index Cache (memcached) CPU Limit - defaults to 50m
                type: string
              thanos_index_cache_cpu_request:
                description: Thanos Index Cache (memcached) CPU Request - defaults to 10m
                type: string
              thanos_index_cache_memory_limit:
                description: Thanos Index Cache (memcached) Memory Limit - defaults to 256Mi
                type: string
              thanos_index_cache_memory_limit_mbyte:
                description: Thanos Index Cache (memcached) Process Memory Limit in Megabytes - defaults to 192
                format: int64
                type: integer
              thanos_index_cache_memory_request:
                description: Thanos Index Cache (memcached) Memory Request - defaults to 64Mi
                type: string
              thanos_index_cache_replicas:
                description: Thanos Index Cache (memcached) Replicas Count - defaults to 3
                format: int64
                type: integer
              thanos_index_max_item_size:
                description: Thanos Index Cache Max Item Size - defaults to 0
                type: string
              thanos_index_max_size:
                description: Thanos Index Cache Max Size - defaults to 0
                type: string
              thanos_query_cpu_limit:
                description: Thanos Query CPU Limit - defaults to 420m
                type: string
              thanos_query_cpu_request:
                description: Thanos Query CPU Request - defaults to 120m
                type: string
              thanos_query_memory_limit:
                description: Thanos Query Memory Limit - defaults to 432Mi
                type: string
              thanos_query_memory_request:
                description: Thanos Query Memory Request - defaults to 128Mi
                type: string
              thanos_query_replicas:
                description: Thanos Query Replicas Count - defaults to 1
                format: int64
                type: integer
              thanos_query_timeout:
                description: Thanos Query query timeout - defaults to 5m
                type: string
              thanos_queryfrontend_backend:
                description: Thanos Query Frontend Backend, memcached or memory - defaults to memory
                type: string
              thanos_queryfrontend_cache_cpu_limit:
                description: Thanos Query Frontend Cache (memcached) CPU Limit - defaults to 50m
                type: string
              thanos_queryfrontend_cache_cpu_request:
                description: Thanos Query Frontend Cache (memcached) CPU Request - defaults to 10m
                type: string
              thanos_queryfrontend_cache_max_freshness:
                description: Thanos Query Frontend Cache Max Freshness - defaults to 2m
                type: string
              thanos_queryfrontend_cache_memory_limit:
                description: Thanos Query Frontend Cache (memcached) Memory Limit - defaults to 256Mi
                type: string
              thanos_queryfrontend_cache_memory_limit_mbyte:
                description: Thanos Query Frontend Cache (memcached) Process Memory Limit in Megabytes - defaults to 192
                format: int64
                type: integer
              thanos_queryfrontend_cache_memory_request:
                description: Thanos Query Frontend Cache (memcached) Memory Request - defaults to 64Mi
                type: string
              thanos_queryfrontend_cache_replicas:
                description: Thanos Query Frontend Cache (memcached) Replicas Count - defaults to 3
                format: int64
                type: integer
              thanos_queryfrontend_cpu_limit:
                description: Thanos Query Frontend CPU Limit - defaults to 420m
                type: string
              thanos_queryfrontend_cpu_request:
                description: Thanos Query Frontend CPU Request - defaults to 120m
                type: string
              thanos_queryfrontend_max_item_size:
                description: Thanos Query Frontend Cache Max Item Size - defaults to 0
                type: string
              thanos_queryfrontend_memory_limit:
                description: Thanos Query Frontend Memory Limit - defaults to 432Mi
                type: string
              thanos_queryfrontend_memory_request:
                description: Thanos Query Frontend Memory Request - defaults to 128Mi
                type: string
              thanos_queryfrontend_replicas:
                description: Thanos Query Frontend Replicas Count - defaults to 1
                format: int64
                type: integer
              thanos_queryfrontend_split_interval:
                description: Thanos Query Frontend Split Interval - defaults to 2h
                type: string
              thanos_receive_cpu_limit:
                description: Thanos Receive CPU Limit - defaults to 420m
                type: string
              thanos_receive_cpu_request:
                description: Thanos Receive CPU Request - defaults to 120m
                type: string
              thanos_receive_data_capacity:
                description: Thanos Receive PersistentVolumeClaim requested size - defaults to 8Gi
                type: string
              thanos_receive_memory_limit:
                description: Thanos Receive Memory Limit - defaults to 432Mi
                type: string
              thanos_receive_memory_request:
                description: Thanos Receive Memory Request - defaults to 128Mi
                type: string
              thanos_receive_replicas:
                description: Thanos Receive Replicas Count - defaults to 1
                format: int64
                type: integer
              thanos_retention_resolution_1h:
                description: Thanos 1h Downsampling Granularity - defaults to 90d
                type: string
              thanos_retention_resolution_5m:
                description: Thanos 5m Downsampling Retention - defaults to 90d
                type: string
              thanos_retention_resolution_raw:
                description: Thanos RAW Metrics Retention - defaults to 90d
                type: string
              thanos_rule_cpu_limit:
                description: Thanos Rule CPU Limit - defaults to 420m
                type: string
              thanos_rule_cpu_request:
                description: Thanos Rule CPU Request - defaults to 120m
                type: string
              thanos_rule_data_capacity:
                description: Thanos Rule PersistentVolumeClaim requested size - defaults to 8Gi
                type: string
              thanos_rule_eval_interval:
                description: Thanos Rule rules evaluation interval - defaults to 30s
                type: string
              thanos_rule_memory_limit:
                description: Thanos Rule Memory Limit - defaults to 432Mi
                type: string
              thanos_rule_memory_request:
                description: Thanos Rule Memory Request - defaults to 128Mi
                type: string
              thanos_rule_replicas:
                description: Thanos Rule Replicas Count - defaults to 1
                format: int64
                type: integer
              thanos_s3_access_key:
                description: "Thanos s3 Access Key - defaults to undefined, mandatory
                  integrating with RadosGW-backed s3, would be provisioned automatically when
                  using MinIO."
                type: string
              thanos_s3_bucket:
                description: Thanos s3 bucket name - defaults to thanos
                type: string
              thanos_s3_flavor:
                description: Thanos s3 flavor - defaults to minio, can switch to ceph/radosgw
                type: string
              thanos_s3_region:
                description: Thanos s3 region, unless using MinIO - defaults to us-east-1
                type: string
              thanos_s3_secret_key:
                description: "Thanos s3 Secret Key - defaults to undefined, mandatory
                  integrating with RadosGW-backed s3, would be provisioned automatically when
                  using MinIO."
                type: string
              thanos_sidecar_cpu_limit:
                description: Thanos Prometheus Sidecar CPU Limit - defaults to 100m
                type: string
              thanos_sidecar_cpu_request:
                description: Thanos Prometheus Sidecar CPU Request - defaults to 10m
                type: string
              thanos_sidecar_memory_limit:
                description: Thanos Prometheus Sidecar Memory Limit - defaults to 128Mi
                type: string
              thanos_sidecar_memory_request:
                description: Thanos Prometheus Sidecar Memory Request - defaults to 64Mi
                type: string
              thanos_store_cpu_limit:
                description: Thanos Store CPU Limit - defaults to 420m
                type: string
              thanos_store_cpu_request:
                description: Thanos Store CPU Request - defaults to 120m
                type: string
              thanos_store_data_capacity:
                description: Thanos Store PersistentVolumeClaim requested size - defaults to 8Gi
                type: string
              thanos_store_memory_limit:
                description: Thanos Store Memory Limit - defaults to 432Mi
                type: string
              thanos_store_memory_request:
                description: Thanos Store Memory Request - defaults to 128Mi
                type: string
              thanos_store_replicas:
                description: Thanos Store Replicas Count - defaults to 1
                format: int64
                type: integer
              thanos_tag:
                description: Thanos Image Tag - defaults to v0.26.0
                type: string
              timezone:
                description: Customer TimeZone - defaults to Europe/Paris
                type: string
              use_rwo_storage:
                description: Forces RWO StorageClass name - defaults to undefined
                type: string
            type: object
          status:
            properties:
              alertmanager_internal:
                description: AlertManager Internal Address
                type: string
              alertmanager_public:
                description: AlertManager Public Address
                type: string
              grafana_internal:
                description: Grafana Internal Address
                type: string
              grafana_public:
                description: Grafana Public Address
                type: string
              prometheus_internal:
                description: Prometheus Internal Address
                type: string
              prometheus_public:
                description: Prometheus Public Address
                type: string
              thanosbucket_http_internal:
                description: Thanos Bucket Web HTTP Internal Address
                type: string
              thanosbucket_public:
                description: Thanos Bucket Web Public Address
                type: string
              thanosquery_grpc_internal:
                description: Thanos Query GRPC Internal Address
                type: string
              thanosquery_http_internal:
                description: Thanos Query HTTP Internal Address
                type: string
              thanosqueryfrontend_internal:
                description: Thanos Query Frontend Internal Address
                type: string
              thanosquery_public:
                description: Thanos Query Public Address
                type: string
              thanosreceive_grpc_internal:
                description: Thanos Receive GRPC Internal Address
                type: string
              thanosreceive_http_internal:
                description: Thanos Receive HTTP Internal Address
                type: string
              thanosreceive_remotewrite_internal:
                description: Thanos Receive Remote-Write Internal Address
                type: string
              thanosreceive_public:
                description: Thanos Receive Public Address
                type: string
              thanosrule_grpc_internal:
                description: Thanos Rule GRPC Internal Address
                type: string
              thanosrule_http_internal:
                description: Thanos Rule HTTP Internal Address
                type: string
              thanossidecar_grpc_internal:
                description: Thanos Prometheus Sidecar GRPC Internal Address
                type: string
              thanossidecar_http_internal:
                description: Thanos Prometheus Sidecar HTTP Internal Address
                type: string
              thanosstore_grpc_internal:
                description: Thanos Store GRPC Internal Address
                type: string
              thanosstore_http_internal:
                description: Thanos Store HTTP Internal Address
                type: string
              ready:
                description: Marks Deployment to be Ready
                type: boolean
            type: object
        type: object
    versions:
    - name: v1beta1
      served: true
      storage: true
